Skip to main content
POST
/
api
/
v1
/
projects
/
{id}
/
remove_user
POST projects remove_user
curl --request POST \
  --url https://app.onecodex.com/api/v1/projects/{id}/remove_user \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "user": {
    "__DOLLAR_REF__": "/api/v1/users/a1b2c3d4e5f67890"
  }
}
'
import requests

url = "https://app.onecodex.com/api/v1/projects/{id}/remove_user"

payload = { "user": { "__DOLLAR_REF__": "/api/v1/users/a1b2c3d4e5f67890" } }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({user: {__DOLLAR_REF__: '/api/v1/users/a1b2c3d4e5f67890'}})
};

fetch('https://app.onecodex.com/api/v1/projects/{id}/remove_user', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


Revoke a user’s access to a Project. The caller must own the project (or have an organization-level role that allows project administration). The project’s owner cannot be removed via this endpoint — use Delete A Project instead.

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Body

application/json
user
object
required

Response

200

OK